module DarkHall
	class HistoryItem
		def initialize(week)
			@week = week
		end
		
		def dump
			re = {}
			re['week'] = @week
		end
		
	
		# レベルアップ
		class LevelUp < HistoryItem
		end
		
		# ボス撃破
		class DefeatingBoss < HistoryItem
		end
	
		# 加齢
		class Aging < HistoryItem
		end
		
		# 死亡
		class Death < HistoryItem
		end
		# 蘇生
		class Revive < HistoryItem
		end
		
		# ロスト
		class Lost < HistoryItem
		end


	end
	
end